<?php
if(!defined('_VIS_')) die('Error: Call from undefined function');
error_reporting(0);

define('VIS_LOCATION_AREA', 4); // 0=api, 1=client, 2=staff, 3=backend, 4=cron, 5=mobileApp client, 6=mobileApp staff
$current_path=dirname(__FILE__);
$path='../';
define('VIS_PATH', $path);
define('VIS_CURRENT_PATH', $current_path.'/'.VIS_PATH);
chdir($current_path);
define('VIS_PATH_INCLUDE', VIS_PATH.'includes/');
define('VIS_PATH_FUNCTION', VIS_PATH.'modules/');
define('VIS_PATH_CLASS', VIS_PATH.'classes/');
define('VIS_PATH_LANGUAGE', VIS_PATH.'languages/');
define('VIS_PATH_TEMPLATE', VIS_PATH.'templates/manage/');
define('VIS_PATH_MANAGE', VIS_PATH.'manage/');


define('VIS_PATH_PROFILE', VIS_PATH.'awatar/');
define('VIS_PATH_LOG', VIS_PATH.'logs/');
define('VIS_PATH_PLUGINS', VIS_PATH.'plugins/');
define('VIS_PATH_FILES', VIS_PATH.'attachment/');

define('VIS_TEMPLATE_PREFIX', 'template_');
define('VIS_FUNCTION_PREFIX', 'module_');
define('VIS_CLASS_PREFIX', 'class_');

define('VIS_PATH_IMAGES', VIS_PATH.'design/images/');
define('VIS_PATH_STYLE', VIS_PATH.'design/');
define('VIS_PATH_DOWNLOADS', VIS_PATH.'downloads/');
define('VIS_PATH_PARSERLOG', VIS_PATH.'logs/parserlog/');
$database='mysql';
//date_default_timezone_set();

if(!isset($lang_dir)) $lang_dir='ltr';
if(!isset($lang_code)) $lang_code='en-us';
if(!isset($lang_encode)) $lang_encode='charset=UTF-8';
if(!isset($lang_id)) $lang_id=1;
if(!isset($lang_name)) $lang_name='English';
if(!isset($lang_file)) $lang_file='english.php';
if(!isset($theme_path)) $theme_path='design/';

define('VIS_MAIN_DOMAIN_ID', 1);
define('VIS_SLAVE_DB', 0);
define('VIS_SENDMAILLIMIT',20);
?>
